#ifndef GunBullet_ADSADFAFSSAFSGFJ
#define GunBullet_ADSADFAFSSAFSGFJ

#include "Vector.h"
#include "ObjMesh.h"
#include "LinkedList.h"
#include "windows.h"
#include <fmod/fmod.h>

struct sBullet
{
       sVector pos;
       sVector direction;
};

class CGunBullet
{
private:
        CLinkedList bulletList;
        CObjMesh mesh; 
        FSOUND_SAMPLE *sound;
        int bulletTimer;
        

public:
        void Render();
        void update();
        void addBullet(sVector pos, sVector Direction);
        bool hitTest(sVector pos);
        void loadSound();
        
        CGunBullet();
        ~CGunBullet();
};

#endif
